Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	graph based image processing framework
Name:		gegl
Version:	0.1.2
Release:	2
License:	LGPL 
URL:		http://gegl.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	enscript
BuildRequires:	graphviz
BuildRequires:  asciidoc

BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel

BuildRequires:  lua-devel 
BuildRequires:  ruby-devel

#Automatically resolved build dependencies
BuildRequires: babl-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: ffmpeg-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: ilmbase-devel
BuildRequires: libcroco-devel
BuildRequires: libgcc
BuildRequires: libgsf-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenraw-devel
BuildRequires: libpng-devel
BuildRequires: librsvg-devel
BuildRequires: libspiro-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: OpenEXR-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
GEGL (Generic Graphics Library) is a graph based image processing framework.

GEGL provides infratructure to do demand based cached non destructive image editing on larger than RAM buffers.

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/gegl
%{_libdir}/gegl-0.1
%{_libdir}/libgegl-0.1.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gegl-0.1
%{_libdir}/libgegl-0.1.la
%{_libdir}/libgegl-0.1.so
%{_pkgconfig}/gegl.pc
%{_datadir}/gtk-doc/html/gegl


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-2
- rebuilt
* Mon Feb 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-1
- Version update
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.0-1
- Version update
- built against libjpeg 7
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.22-2
- rebuild against ffmpeg-0.5
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.22-1
- Version update
* Sat Oct 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.20-1
- Version update
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.18-1
- initial CCux package release
